=== debian/changelog ===
repowerd (2023.07-4build1) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 18:55:01 +1100

repowerd (2023.07-4) unstable; urgency=medium

  * debian/patches:
    + Add 1003_add-enable-Werror-CMake-option.patch. Add -DENABLE_WERROR option
      to CMake options and let it default to OFF. (This fixes FTBFS of
      repowered in Ubuntu due to LTO-related compiler warnings popping up when
      building on Ubuntu).

 -- Mike Gabriel <sunweaver@debian.org>  Mon, 04 Mar 2024 10:20:22 +0100

repowerd (2023.07-3) unstable; urgency=medium

  * debian/changelog:
    + Fix attribution/author of changes in previous upload.
  * debian/control:
    + Add B-D: systemd-dev [linux-any].

 -- Mike Gabriel <sunweaver@debian.org>  Fri, 01 Mar 2024 23:26:49 +0100

repowerd (2023.07-2) unstable; urgency=medium

  [ Alfred Neumayer ]
  * debian/patches:
    + Add 0001_enable-builds-without-lsc.patch. Enable builds without lsc
      integration.
    + Add 0002_sysfs-path-thinpad-x13s.patch. src/adapters: Enable sysfs
      path used by Thinkpad x13s. Enables control of brightness slider.

  [ Mike Gabriel ]
  * debian/patches:
    + Add 1001_typo-fix.patch.
    + Add 1002_fix-tests-when-building-without-lsc-support.patch. Band-aid
      unit tests when building with -DREPOWERD_ENABLE_LSC=OFF.
  * debian/rules:
    + Build with -DREPOWERD_ENABLE_LSC=OFF.
  * debian/copyright:
    + Update auto-generated copyright.in file.
    + Update copyright attributions.
  * debian/repowerd.{service,install}:
    + Use upstream's systemd service file.
  * lintian: Update overrides (mostly syntax fixes, add dbus-policy-in-etc
    overrides, drop package-supports-alternative-init-but-no-init.d-script.
  * debian/control:
    + In B-D: field, switch from pkg-config to pkgconf. Thanks, lintian.
    + Bump Standards-Version: to 4.6.2. No changes needed.

 -- Mike Gabriel <sunweaver@debian.org>  Sun, 25 Feb 2024 20:50:33 +0000

repowerd (2023.07-1) unstable; urgency=medium

  * New upstream release (closes: #1037839)
  * debian/control: Drop uneeded B-D and add deviceinfo-dev
  * debian/patches: Drop upstreamed patches
  * debian/rules: Don't build the binder plugin (only for android/hybris devices)
  * debian/copyright: Update to match upstream

 -- Marius Gripsgard <mariogrip@debian.org>  Thu, 27 Jul 2023 03:24:14 +0200

repowerd (2022.01-3) unstable; urgency=medium

  * debian/:
    + Update upstream Git repo URL.
  * debian/control:
    + Bump Standards-Version: to 4.6.1. No changes needed.

 -- Mike Gabriel <sunweaver@debian.org>  Mon, 25 Jul 2022 17:05:57 +0200

repowerd (2022.01-2) unstable; urgency=medium

  * Source-only upload as-is.

 -- Mike Gabriel <sunweaver@debian.org>  Sat, 05 Mar 2022 11:51:08 +0100
