## repowerd 2025.09

=== CMakeLists.txt ===
--- 
+++ 
@@ -16,12 +16,13 @@
 
 project(repowerd)
 
-set(REPOWERD_VERSION "2023.07")
+set(REPOWERD_VERSION "2025.09")
 
-cmake_minimum_required(VERSION 3.0)
+cmake_minimum_required(VERSION 3.10)
 set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${CMAKE_CURRENT_SOURCE_DIR}/cmake)
 
 option(REPOWERD_BUILD_TESTS "Build tests" ON)
+option(ENABLE_WERROR "Treat all build warnings as errors" OFF)
 option(REPOWERD_DISABLE_TIME_SENSITIVE_TESTS "Don't run time-sensitive tests" OFF)
 
 option(REPOWERD_ENABLE_HYBRIS "Enable hybris support" ON)
@@ -43,10 +44,8 @@
 pkg_check_modules(GIO_UNIX REQUIRED gio-unix-2.0)
 
 if (REPOWERD_ENABLE_HYBRIS)
-    pkg_check_modules(UA REQUIRED ubuntu-platform-api)
-    pkg_check_modules(LIBHARDWARE REQUIRED libhardware)
-    pkg_check_modules(UBUNTU_PLATFORM_HARDWARE_API REQUIRED ubuntu-platform-hardware-api)
-    find_package(AndroidHeaders REQUIRED)
+    find_library(Hybris NAMES hybris-common REQUIRED)
+    pkg_check_modules(ANDROIDPROPERTIES REQUIRED libandroid-properties)
 endif()
 if (REPOWERD_ENABLE_BINDER)
     pkg_check_modules(GBINDER REQUIRED libgbinder)
@@ -58,9 +57,17 @@
 # Enable cmake-gui to display a drop down list for CMAKE_BUILD_TYPE
 set_property(CACHE CMAKE_BUILD_TYPE PROPERTY STRINGS "${build_types}")
 
+set(CMAKE_CXX_STANDARD 17)
+set(CMAKE_CXX_STANDARD_REQUIRED ON)
+set(CMAKE_CXX_EXTENSIONS OFF)
+
 set(EXECUTABLE_OUTPUT_PATH ${CMAKE_BINARY_DIR}/bin)
-set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -g -pthread -std=c11 -Werror -Wall -Wextra -pedantic")
-set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -g -pthread -std=c++14 -Werror -Wall -Wnon-virtual-dtor -Wextra -pedantic")
+set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -g -pthread -std=c11 -Wall -Wextra -pedantic")
+set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -g -pthread -Wall -Wnon-virtual-dtor -Wextra -pedantic")
+
+if(ENABLE_WERROR)
+    add_compile_options("-Werror")
+endif()
 
 string(TOLOWER "${CMAKE_BUILD_TYPE}" cmake_build_type_lower)
