=== src/adapters/CMakeLists.txt ===
--- 
+++ 
@@ -18,11 +18,7 @@
 
 if (REPOWERD_ENABLE_HYBRIS)
     set(REPOWERD_ADAPTER_HYBRIS_SRCS
-        android_backlight.cpp
-        dev_alarm_wakeup_service.cpp
-        ubuntu_light_sensor.cpp
-        ubuntu_performance_booster.cpp
-        ubuntu_proximity_sensor.cpp
+        qti_perf_performance_booster.cpp
     )
 endif()
 
@@ -91,10 +87,9 @@
     ${DEVICEINFO_LDFLAGS}
     ${GIO_LDFLAGS} ${GIO_LIBRARIES}
     ${GIO_UNIX_LDFLAGS} ${GIO_UNIX_LIBRARIES}
-    ${LIBHARDWARE_LDFLAGS} ${LIBHARDWARE_LIBRARIES}
-    ${UA_LDFLAGS} ${UA_LIBRARIES}
-    ${UBUNTU_PLATFORM_HARDWARE_API_LDFLAGS} ${UBUNTU_PLATFORM_HARDWARE_API_LIBRARIES}
     ${GBINDER_LDFLAGS} ${GBINDER_LIBRARIES}
+    ${Hybris}
+    ${ANDROIDPROPERTIES_LDFLAGS} ${ANDROIDPROPERTIES_LIBRARIES}
 )
 
 target_include_directories(
@@ -103,8 +98,6 @@
     ${DEVICEINFO_INCLUDE_DIRS}
     ${GIO_INCLUDE_DIRS}
     ${GIO_UNIX_INCLUDE_DIRS}
-    ${LIBHARDWARE_INCLUDE_DIRS}
-    ${UA_INCLUDE_DIRS}
-    ${UBUNTU_PLATFORM_HARDWARE_API_INCLUDE_DIRS}
     ${GBINDER_INCLUDE_DIRS}
+    ${ANDROIDPROPERTIES_INCLUDE_DIRS}
 )
