=== tests/adapter-tests/CMakeLists.txt ===
--- 
+++ 
@@ -13,17 +13,6 @@
 # along with this program.  If not, see <http://www.gnu.org/licenses/>.
 #
 # Authored by: Alexandros Frantzis <alexandros.frantzis@canonical.com>
-
-if (REPOWERD_ENABLE_HYBRIS)
-    set(REPOWERD_ADAPTER_TEST_HYBRIS_SRCS
-        fake_libhardware.cpp
-
-        test_android_backlight.cpp
-        test_dev_alarm_wakeup_service.cpp
-        test_ubuntu_light_sensor.cpp
-        test_ubuntu_proximity_sensor.cpp
-    )
-endif()
 
 add_executable(
     repowerd-adapter-tests
