=== debian/changelog ===
repowerd (2025.09-1) unstable; urgency=medium

  * New upstream release.
  * debian/patches:
    + Drop 1001_typo-fix.patch and 1003_add-enable-Werror-CMake-option.patch.
      Both applied upstream.
    + Trivially rebase remaining patches.
    + Add 1003_fix-gcc-15.patch. Fix FTBFS against GCC 15. Add missing include.
      (Closes: #1097789).
    + Add 1004_disable-performance-tests-if-building-without-hybris-
      support.patch. Exclude APerformance Booster tests from unit tests if
      building without hybris support.
  * debian/control:
    + Bump Standards-Version: to 4.7.2. No changes needed.
  * debian/copyright:
    + Update copyright attributions.
  * debian/watch:
    + Update file for recent GitLab changes of the tags overview page.

 -- Mike Gabriel <sunweaver@debian.org>  Sat, 13 Sep 2025 18:27:17 +0200
