=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: repowerd
 Priority: optional
 Section: admin
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian UBports Team <team+ubports@tracker.debian.org>
+Maintainer: Debian UBports Team <team+ubports@tracker.debian.org>
 Uploaders:
  Mike Gabriel <sunweaver@debian.org>,
 Build-Depends: debhelper-compat (= 13),
@@ -15,7 +14,7 @@
                libdeviceinfo-dev,
                pkgconf,
                systemd-dev [linux-any],
-Standards-Version: 4.6.2
+Standards-Version: 4.7.2
 Rules-Requires-Root: no
 Homepage: https://gitlab.com/ubports/development/core/repowerd/
 Vcs-Browser: https://salsa.debian.org/ubports-team/repowerd/
